package cn.com.infosec.crypto.paddings;

import cn.com.infosec.crypto.InvalidCipherTextException;
import java.security.SecureRandom;

public class ISO7816d4Padding implements BlockCipherPadding {
   public void init(SecureRandom random) {
   }

   public String getPaddingName() {
      return "ISO7816-4";
   }

   public int addPadding(byte[] in, int inOff) {
      int var3 = in.length - inOff;
      in[inOff] = -128;
      ++inOff;

      while(inOff < in.length) {
         in[inOff] = 0;
         ++inOff;
      }

      return var3;
   }

   public int padCount(byte[] in) {
      int var2;
      for(var2 = in.length - 1; var2 > 0 && in[var2] == 0; --var2) {
      }

      if (in[var2] == -128) {
         return in.length - var2;
      } else {
         throw new InvalidCipherTextException("pad block corrupted");
      }
   }
}
